org.keycloak.representations.idm.authorization

## Class PermissionTicketRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.PermissionTicketRepresentation

-     public class PermissionTicketRepresentation
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionTicketRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getOwner()`
    `String` | `getOwnerName()`
    `String` | `getRequester()`
    `String` | `getRequesterName()`
    `String` | `getResource()`
    `String` | `getResourceName()`
    `String` | `getScope()`
    `String` | `getScopeName()`
    `boolean` | `isGranted()`
    `void` | `setGranted(boolean granted)`
    `void` | `setId(String id)`
    `void` | `setOwner(String owner)`
    `void` | `setOwnerName(String ownerName)`
    `void` | `setRequester(String requester)`
    `void` | `setRequesterName(String requesterName)`
    `void` | `setResource(String resource)`
    `void` | `setResourceName(String resourceName)`
    `void` | `setScope(String scope)`
    `void` | `setScopeName(String scopeName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionTicketRepresentation

          public PermissionTicketRepresentation()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getOwner

          public String getOwner()

    - #### setOwner

          public void setOwner(String owner)

    - #### getResource

          public String getResource()

    - #### setResource

          public void setResource(String resource)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### isGranted

          public boolean isGranted()

    - #### setGranted

          public void setGranted(boolean granted)

    - #### setScopeName

          public void setScopeName(String scopeName)

    - #### getScopeName

          public String getScopeName()

    - #### setResourceName

          public void setResourceName(String resourceName)

    - #### getResourceName

          public String getResourceName()

    - #### setRequesterName

          public void setRequesterName(String requesterName)

    - #### getRequesterName

          public String getRequesterName()

    - #### setRequester

          public void setRequester(String requester)

    - #### getRequester

          public String getRequester()

    - #### setOwnerName

          public void setOwnerName(String ownerName)

    - #### getOwnerName

          public String getOwnerName()

Copyright © 2021 JBoss by Red Hat. All rights reserved.